package CoreFS.SA04;

import java.sql.Connection;
import java.sql.SQLException;

import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.support.JdbcDaoSupport;
import org.springframework.jdbc.support.lob.LobHandler;

public class CoreDBProxy extends JdbcDaoSupport{
	public JdbcTemplate getProxyJdbcTemplate() {
		// TODO 自动生成方法存根
		return this.getJdbcTemplate();
	}
	private LobHandler lobHandler;

	public LobHandler getLobHandler() {
		return lobHandler;
	}

	public void setLobHandler(LobHandler lobHandler) {
		this.lobHandler = lobHandler;
	}

	public static void main(String[] args) throws SQLException {
		CoreDBProxy proxy = new CoreDBProxy();		
		Connection conn = proxy.getDataSource().getConnection();		
		if(conn == null) {
			System.out.println("failure");
		}else {
			System.out.println("success");
			
		}	
		proxy.getConnection();
	}	
}
